Package twisted :: Package internet :: Module protocol :: Class FileWrapper

[show private | hide private]
[frames | no frames]

## Class FileWrapper

A wrapper around a file-like object to make it behave as a Transport.

Method Summary
| `__init__(self, file)`
| `getHost(self)`
| `getPeer(self)`
| `handleException(self)`
| `loseConnection(self)`
| ``registerProducer`(self, producer, streaming)` From abstract.FileDescriptor
| `stopConsuming(self)`
| `unregisterProducer(self)`
| `write(self, data)`
| `writeSequence(self, iovec)`
| `_checkProducer(self)`

Class Variable Summary
`int` | `closed`
`int` | `disconnecting`
`class` | `ITransport`
`None` | `producer`
`int` | `streamingProducer`

Method Details

### registerProducer(self, producer, streaming)

From abstract.FileDescriptor

Class Variable Details

### closed

  Type:
    `int`
  Value:

        0

### disconnecting

  Type:
    `int`
  Value:

        0

### ITransport

`ITransport` = `twisted.internet.interfaces.ITransport`

### producer

  Type:
    `None`
  Value:

        None

### streamingProducer

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Sat Feb 15 21:19:05 2003 | http://epydoc.sf.net